#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_SignInCFGData
{
	//编号
	int mID;
	//签到类型
	int mSignType;
	//前端显示
	std::vector<int> mFrontDisplay;
	//固定奖励
	std::vector<int> mFixedReward;
	//概率奖励
	std::vector<int> mProbabilityReward;
	//首次签到奖励
	std::vector<int> mFirstRward;
	//固定奖励双倍
	int mBonusDoubles;
	//翻倍等级
	int mVipLevel;
};

class M_SignInCFG
{
public:
private:
	static std::auto_ptr<M_SignInCFG> msSingleton;
public:
	int GetCount();
	const M_SignInCFGData* GetData(int ID);
	boost::unordered_map<int, M_SignInCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_SignInCFG* GetSingleton();
private:
	boost::unordered_map<int, M_SignInCFGData> mMapData;
};
